GIT-ARCHIVE-FILE(1)

NAME
git-archive-file - Export the current HEAD of the git repository to an archive

SYNOPSIS
git-archive-file

DESCRIPTION
Export the current HEAD of the repository into an archive with an identifiable and unique name.

OPTIONS
This command does not take any options.

EXAMPLES
Archive naming conventions:

On any branch: git-extras.1.7.0-110-gafefba7.branch-name.zip

On master branch: git-extras.1.7.0-110-gafefba7.zip

On a detached HEAD (e.g. a tag): git-extras.1.7.0.zip

The '/' and '\' in the branch name will be converted into '-'.

AUTHOR
Written by Philipp Klose <me@thehippo.de>

REPORTING BUGS
<https://github.com/tj/git-extras/issues>

SEE ALSO
<https://github.com/tj/git-extras>